<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 1. Introduction</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Developer's Guide" /><link rel="up" href="index.html" title="Synopsis Developer's Guide" /><link rel="prev" href="index.html" title="Synopsis Developer's Guide" /><link rel="next" href="origins.html" title="Origins" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 1. Introduction</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="index.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="origins.html">Next</a></td></tr></table></div><div class="chapter" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title"><a id="intro"></a>Chapter 1. Introduction</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="origins.html">Origins</a></span></dt><dt><span class="section"><a href="architecture.html">Architecture</a></span></dt><dd><dl><dt><span class="section"><a href="architecture.html#id517506">Sub-Projects</a></span></dt><dt><span class="section"><a href="architecture.html#id517536">Code Layout</a></span></dt></dl></dd><dt><span class="section"><a href="testing.html">Current Status: Regression Test Reports</a></span></dt></dl></div><p>
      The Synopsis Application Framework is a work in progress. Some of the APIs are quite
      stable and already used in production. Others are in development. This document wants
      to provide some guidelines for developers and other adventurers to find their way around
      the project. APIs that are currently documented here may mature and become stable, at
      which point their documentation will be migrated to the 
      <a class="ulink" href="../Tutorial/index.html" target="_top">tutorial</a>.
    </p></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="index.html">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="origins.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Synopsis Developer's Guide </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Origins</td></tr></table></div></body></html>
